@charset "UTF-8";
/* imports de fichier */
/* On applique des élément sur l'ensemble du code*/
* {
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.background_image {
  background-image: url(../Annexe/image_boutique.png);
  width: 100%;
  height: 375px;
  background-size: cover;
  background-position: center;
}

body::-webkit-scrollbar {
  width: 10px;
}
body::-webkit-scrollbar-track {
  background: transparent;
}
body::-webkit-scrollbar-thumb {
  background-color: #b2b2b2;
  border-radius: 20px;
}
body::-webkit-scrollbar-thumb:hover {
  background-color: #9f9f9f;
}

.all-products {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

.product {
  -webkit-box-shadow: 5px 10px 15px #272626;
          box-shadow: 5px 10px 15px #272626;
  overflow: hidden;
  background: #ffffff;
  color: #21201e;
  text-align: center;
  width: 240px;
  height: 450px;
  padding: 1rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  border-radius: 1.2rem;
  margin: 2rem;
}

.product-btn {
  overflow: hidden;
  background: #ffffff;
  color: #1e1e21;
  text-align: center;
  padding: 2rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  border-radius: 1.2rem;
}

.product .product-title, .product .product-price {
  font-size: 18px;
}

.product:hover {
  scale: 1.1;
}

.product img {
  height: 200px;
  margin: 1rem;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.product a:link, .product a:visited {
  color: #ececec;
  display: inline-block;
  text-decoration: none;
  background-color: #185ca0;
  padding: 1.2rem 3rem;
  border-radius: 1rem;
  margin-top: 1rem;
  font-weight: bolder;
  font-size: 14px;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.product a:hover {
  -webkit-transform: scale(1.1);
          transform: scale(1.1);
  background-color: #ffffff;
  color: #0b2997;
  border: 1px solid #0b2997;
}